php-guzzlehttp-psr7 (2.12.4-1) unstable; urgency=medium

  [ Graham Campbell ]
  * Freeze trim characters ahead of PHP 8.6 (#812)
  * Anchor validation patterns to the true end of input (#814)
  * Treat host-less origin-form `//` targets as paths (#820)
  * Reject raw DEL and ambiguous suffixes in bracketed IP-literal parsing (#836)
  * Release 2.12.4

 -- David Prévot <taffit@debian.org>  Thu, 09 Jul 2026 07:56:09 +0200

php-guzzlehttp-psr7 (2.12.3-1) unstable; urgency=medium

  [ Graham Campbell ]
  * Report URI PCRE failures (#801)
  * Report message parser PCRE failures (#802)
  * Fail closed on validation PCRE errors (#803)
  * Validate the URI host so `getHost()` matches the URI authority (#811)
    (GHSA-c2w2-prh8-qm98)
  * Release 2.12.3

 -- David Prévot <taffit@debian.org>  Wed, 24 Jun 2026 08:46:40 +0200

php-guzzlehttp-psr7 (2.12.1-1) unstable; urgency=medium

  [ Graham Campbell ]
  * Mitigate CRLF Injection in HTTP Start-Line Serialization (#798)
    (GHSA-vm85-hxw5-5432) [CVE-2026-55766]
  * Release 2.12.1

 -- David Prévot <taffit@debian.org>  Fri, 19 Jun 2026 07:51:52 +0200

php-guzzlehttp-psr7 (2.12.0-1) unstable; urgency=medium

  [ Graham Campbell ]
  * Fix non-finite float coercion warnings on PHP 8.5 (#787)
  * Deprecate non-finite float values (#788)
  * Deprecate non-string scalar stream bodies and query values (#790)
  * Release 2.12.0

 -- David Prévot <taffit@debian.org>  Wed, 17 Jun 2026 08:04:33 +0200

php-guzzlehttp-psr7 (2.11.0-1) unstable; urgency=medium

  [ Graham Campbell ]
  * Deprecate invalid with arguments (#670)
  * Deprecate additional 3.0 changes (#677)
  * Change Header parameter splitting (#680)
  * Deprecate invalid multipart metadata (#689)
  * Deprecate automatic request method uppercasing (#696)
  * Document callable stream sources (#704)
  * Deprecate invalid modifyRequest changes (#709)
  * Reject conflicting modifyRequest Host changes (#728)
  * Limit UriComparator default ports to HTTP and HTTPS (#743)
  * Fix Header parameter splitting with escaped quotes (#744)
  * Fix copyToStream short writes (#772)
  * Release 2.11.0

  [ David Prévot ]
  * New php-symfony-deprecation-contracts (build-)dependency

 -- David Prévot <taffit@debian.org>  Wed, 03 Jun 2026 08:50:48 +0200

php-guzzlehttp-psr7 (2.10.4-1) unstable; urgency=medium

  [ Graham Campbell ]
  * Prevent CachingStream seek no-progress loops (#739)
  * Fix AppendStream reads without streams (#740)
  * Normalize URI fragment percent-encoding (#741)
  * Fix LimitStream size past stream end (#742)
  * Throw when the CachingStream cache target does not persist
    a full write (#768)
  * Release 2.10.4

  [ David Prévot ]
  * Document that #1138265 has been fixed

 -- David Prévot <taffit@debian.org>  Sun, 31 May 2026 01:58:32 +0200

php-guzzlehttp-psr7 (2.10.3-1) unstable; urgency=medium

  [ Graham Campbell ]
  * Upgrade to `http-interop/http-factory-tests` 1.1.0 (#642)
  * [2.9] Fix parsing of relative path references containing a
    colon in a non-initial path segment (#645)
  * Fix UTF-8 body summary truncation (#652)
  * Fix CachingStream detach resource (#654)
  * Add 1.x to 2.0 upgrade guide (#659)
  * Harden ServerRequest globals handling (#660)
  * Use native stream URI for size cache (#661)
  * Throw when StreamWrapper resource creation fails (#662)
  * Fix modifyRequest with numeric header names (#667)
  * Reject control characters in URI hosts (#715) [CVE-2026-49214]
  * Normalize global header values (#718)
  * Reject malformed Host authorities (#717) [CVE-2026-48998]
    (Closes: #1138265)
  * Reject malformed UTF-8 URIs (#729)
  * Parse IPv6 literals with embedded IPv4 addresses (#731)
  * Release 2.10.3

  [ David Prévot ]
  * Ship upstream upgrade notes

 -- David Prévot <taffit@debian.org>  Fri, 29 May 2026 13:27:35 +0200

php-guzzlehttp-psr7 (2.9.0-2) unstable; urgency=medium

  * Use full version with RequiresPhp
  * Update standards version to 4.7.4

 -- David Prévot <taffit@debian.org>  Mon, 11 May 2026 09:19:47 +0200

php-guzzlehttp-psr7 (2.9.0-1) unstable; urgency=medium

  [ Graham Campbell ]
  * [2.9] Updated MIME type mappings and automated generation (#637)
  * [2.9] Added nested array expansion support to `MultipartStream` (#638)
  * Added `@return static` to `MessageTrait` methods (#639)
  * Release 2.9.0

  [ Eyüp Can Akman ]
  * [2.8] Encode plus sign in withQueryValue() and withQueryValues() (#636)

 -- David Prévot <taffit@debian.org>  Wed, 11 Mar 2026 12:37:28 +0100

php-guzzlehttp-psr7 (2.8.0-2) unstable; urgency=medium

  * Compatibility with recent PHPUnit (13)
  * Convert d/watch to version 5
  * Update Standards-Version to 4.7.3

 -- David Prévot <taffit@debian.org>  Sat, 07 Feb 2026 11:44:06 +0100

php-guzzlehttp-psr7 (2.8.0-1) unstable; urgency=medium

  [ Graham Campbell ]
  * [2.8] Add PHP 8.5 support (#628)
  * Release 2.8.0

  [ Sean O'Brien ]
  * [2.8] Allow empty lists as header values (#625)

  [ David Prévot ]
  * Remove Rules-Requires-Root
  * debian/control: Document nocheck flag

 -- David Prévot <taffit@debian.org>  Wed, 27 Aug 2025 01:20:28 +0200

php-guzzlehttp-psr7 (2.7.1-1) unstable; urgency=medium

  [ Graham Campbell ]
  * Release 2.7.1

  [ divinity76 ]
  * [2.7] Improve uploaded file error message (#621)

  [ Emmanuel Deloget ]
  * Support uppercase IPv6 addresses in URI (#620)

  [ David Prévot ]
  * Update Standards-Version to 4.7.2

 -- David Prévot <taffit@debian.org>  Mon, 31 Mar 2025 12:19:42 +0200

php-guzzlehttp-psr7 (2.7.0-3) unstable; urgency=medium

  * Modernize PHPUnit syntax
  * Revert "Force system dependencies loading"
  * Simplify build

 -- David Prévot <taffit@debian.org>  Tue, 18 Feb 2025 08:27:59 +0100

php-guzzlehttp-psr7 (2.7.0-2) unstable; urgency=medium

  * Handle exit code in debci
  * Force PHPUnit 11 for autopkgtest

 -- David Prévot <taffit@debian.org>  Sun, 12 Jan 2025 18:05:03 +0100

php-guzzlehttp-psr7 (2.7.0-1) unstable; urgency=medium

  [ Graham Campbell ]
  * Fixes for PHP 8.4 deprecation (#600)
  * [2.7] Add `Utils::redactUserInfo()` method (#613)
  * Add ability to encode bools and ints (#614)
  * Release 2.7.0 (#615)

  [ Mickaël ]
  * Make `StreamWrapper::stream_stat()` returns `false` if inner stream's size
    is `null` (#594)

  [ David Prévot ]
  * Update Standards-Version to 4.7.0
  * Make provider functions static (PHPUnit 11 Fix) (Closes: #1070552)

 -- David Prévot <taffit@debian.org>  Sun, 21 Jul 2024 11:06:10 +0900

php-guzzlehttp-psr7 (2.6.2-3) unstable; urgency=medium

  * Allow stderr for debci

 -- David Prévot <taffit@debian.org>  Sun, 10 Mar 2024 10:09:05 +0100

php-guzzlehttp-psr7 (2.6.2-2) unstable; urgency=medium

  * Force system dependencies loading

 -- David Prévot <taffit@debian.org>  Wed, 06 Mar 2024 16:53:37 +0100

php-guzzlehttp-psr7 (2.6.2-1) unstable; urgency=medium

  [ Graham Campbell ]
  * Release 2.6.2 (#585)

 -- David Prévot <taffit@debian.org>  Mon, 04 Dec 2023 07:45:22 +0100

php-guzzlehttp-psr7 (2.6.1-1) unstable; urgency=medium

  [ Graham Campbell ]
  * Fix issue where PHP transforms numeric strings in array keys to ints (#578)
  * Release 2.6.1 (#579)

 -- David Prévot <taffit@debian.org>  Sun, 03 Sep 2023 03:29:18 +0530

php-guzzlehttp-psr7 (2.6.0-1) unstable; urgency=medium

  * Upload to unstable now that Bookworm has been released

  [ Graham Campbell ]
  * Corrected mime type for `.acc` files to `audio/aac` (#573)
  * Update mime type map (#574)
  * Fallback to `application/octet-stream` if we are unable to guess the
    content type for a multipart file upload (#568)
  * Release 2.6.0

  [ Santiago Vila ]
  * Kill php process after running unit tests (Closes: #1029499)

  [ David Prévot ]
  * Mark package as Multi-Arch: foreign
  * Revert: Adapt version constraint to dh_phpcomposer expectations
  * Compatibility with recent PHPUnit (10)

 -- David Prévot <taffit@debian.org>  Sun, 06 Aug 2023 10:52:37 +0200

php-guzzlehttp-psr7 (2.5.0-1) experimental; urgency=medium

  * Upload new minor to experimental during the freeze

  [ Graham Campbell ]
  * Release 2.5.0 (#558), fixing improper input validation [CVE-2023-29197]
    Closes: #1034581

  [ Roy ]
  * Prevent possible warnings on unset variables (#542)

  [ Tim Düsterhus ]
  * Require `psr/http-message: ^1.1` (#551)
  * Allow `psr/http-message: 2.0` (#555)

  [ XilefNori ]
  * Fix `Message::bodySummary` when `preg_match` fails (#554)

  [ David Prévot ]
  * Drop debian/pkg-php-tools-autoloaders entries
  * Adapt version constraint to dh_phpcomposer expectations

 -- David Prévot <taffit@debian.org>  Tue, 18 Apr 2023 07:01:19 +0200

php-guzzlehttp-psr7 (2.4.4-1) unstable; urgency=medium

  [ Tim Düsterhus ]
  * Remove the need for `AllowDynamicProperties` in LazyOpenStream (#547)

  [ Graham Campbell ]
  * Release 2.4.4 (#550)

  [ David Prévot ]
  * Update standards version to 4.6.2, no changes needed.

 -- David Prévot <taffit@debian.org>  Fri, 10 Mar 2023 15:33:52 +0100

php-guzzlehttp-psr7 (2.4.3-1) unstable; urgency=medium

  [ Tim Düsterhus ]
  * Replace `sha1(uniqid())` by `bin2hex(random_bytes(20))` (#538)

  [ onyn ]
  * Fix erroneous behaviour when combining host and relative path (#532)

  [ Graham Campbell ]
  * Release 2.4.3 (#539)

 -- David Prévot <taffit@debian.org>  Sat, 29 Oct 2022 11:19:43 +0200

php-guzzlehttp-psr7 (2.4.1-1) unstable; urgency=medium

  [ Graham Campbell ]
  * Rewind body before reading in `Message::bodySummary` (#525)
  * Release 2.4.1 (#529)

 -- David Prévot <taffit@debian.org>  Tue, 30 Aug 2022 15:18:22 +0200

php-guzzlehttp-psr7 (2.4.0-2) unstable; urgency=medium

  * Upload to unstable now that every package allows it
  * Fix applied patch
  * debian/tests/control:
    + Start server at the beginning
    + Drop useless dependency

 -- David Prévot <taffit@debian.org>  Sun, 10 Jul 2022 13:22:39 +0200

php-guzzlehttp-psr7 (2.4.0-1) experimental; urgency=medium

  [ Tim Düsterhus ]
  * Fix deprecation warnings in PHP 8.2 (#519)

  [ Graham Campbell ]
  * Release 2.4.0 (#521)

  [ David Prévot ]
  * Run one more test

 -- David Prévot <taffit@debian.org>  Wed, 22 Jun 2022 14:47:09 +0200

php-guzzlehttp-psr7 (2.3.0-1) experimental; urgency=medium

  [ Graham Campbell ]
  * Release 2.3.0

  [ David Prévot ]
  * Update Standards-Version to 4.6.1

 -- David Prévot <taffit@debian.org>  Fri, 17 Jun 2022 13:22:48 +0200

php-guzzlehttp-psr7 (2.2.1-1) experimental; urgency=medium

  [ Graham Campbell ]
  * Release 2.2.1 (#493) fixing improper header parsing [CVE-2022-24775]
    (Closes: #1008236)

 -- David Prévot <dprevot@evolix.fr>  Fri, 25 Mar 2022 09:43:25 +0100

php-guzzlehttp-psr7 (2.1.0-1) experimental; urgency=medium

  [ Graham Campbell ]
  * Support PHP 8.1 (#435)
  * Release 2.1.0 (#450)

  [ David Prévot ]
  * Update copyright
  * Update standards version to 4.6.0, no changes needed.

 -- David Prévot <taffit@debian.org>  Mon, 11 Oct 2021 21:56:01 -0400

php-guzzlehttp-psr7 (2.0.0-1) experimental; urgency=medium

  [ Graham Campbell ]
  * Release 2.0.0 (#425)

 -- David Prévot <taffit@debian.org>  Mon, 05 Jul 2021 09:27:10 +0200

php-guzzlehttp-psr7 (2.0.0~rc1-1) experimental; urgency=medium

  [ bscheshirwork ]
  * Avoid no-url index in stream_get_meta_data (#413)

  [ Graham Campbell ]
  * Release 2.0.0-RC1

 -- David Prévot <taffit@debian.org>  Fri, 14 May 2021 20:15:48 -0400

php-guzzlehttp-psr7 (2.0.0~beta1-1) experimental; urgency=medium

  [ Mark Sagi-Kazar ]
  * Upgrade PHPUnit

  [ Nyholm ]
  * Add support for PSR-17 HTTP factories

  [ Graham Campbell ]
  * Use http-interop/http-factory-tests ^0.7

  [ Tobias Nyholm ]
  * Allow installations on PHP8 (#399)
  * Added changelog for 2.0 beta (#392)

  [ David Prévot ]
  * New php-psr-http-factory (build-)dependency
  * New php-http-interop-http-factory-tests build-dependency

 -- David Prévot <taffit@debian.org>  Tue, 30 Mar 2021 09:39:00 -0400

php-guzzlehttp-psr7 (1.8.1-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Tobias Nyholm ]
  * Prepare 1.8.1 (#404)

  [ David Prévot ]
  * Simplify gbp import-orig
  * Generate phpabtpl at build time
  * Use dh-sequence-phpcomposer instead of pkg-php-tools

 -- David Prévot <taffit@debian.org>  Tue, 30 Mar 2021 08:24:27 -0400

php-guzzlehttp-psr7 (1.7.0-1) unstable; urgency=medium

  * Revert "Bundle php-getallheaders being processed in NEW"

 -- David Prévot <taffit@debian.org>  Mon, 25 Jan 2021 22:21:04 -0400

php-guzzlehttp-psr7 (1.7.0-1~deb11u2) unstable; urgency=medium

  * Fix test for recent versions of PHP (Closes: #980664)

 -- David Prévot <taffit@debian.org>  Wed, 20 Jan 2021 18:41:37 -0400

php-guzzlehttp-psr7 (1.7.0-1~deb11u1) unstable; urgency=medium

  * Upload to unstable without php-getallheaders dependency
  * Bundle php-getallheaders being processed in NEW

 -- David Prévot <taffit@debian.org>  Thu, 14 Jan 2021 09:39:54 -0400

php-guzzlehttp-psr7 (1.7.0-1~exp1) experimental; urgency=medium

  * Upload to experimental since php-getallheaders is not yet available

  [ Sam Reed ]
  * Allow ralouphie/getallheaders ^3.0.0

  [ Tobias Nyholm ]
  * Prepare for 1.7.0 release (#353)

  [ David Prévot ]
  * Document gbp import-ref usage
  * Restore autoload silently removed in previous NMU (Closes: #949693)
  * Use secure copyright file specification URI.
  * Bump debhelper from old 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields:
    Bug-Database, Repository, Repository-Browse, Bug-Submit.
  * Update Vcs-* headers to use salsa repository.
  * Remove unnecessary get-orig-source-target.
  * Drop versioned dependency satisfied in (old)stable
  * Install /u/s/p/a/php-guzzlehttp-psr7
  * Update watch file format version to 4.
  * Set Rules-Requires-Root: no.
  * Update Standards-Version to 4.5.1
  * Update copyright
  * Restore test suite at build time
  * Add php-getallheaders (build-)dependency

 -- David Prévot <taffit@debian.org>  Fri, 08 Jan 2021 14:35:01 -0400

php-guzzlehttp-psr7 (1.4.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
    + Drop all patches and tests as upstream removed them.

 -- Dominik George <natureshadow@debian.org>  Sun, 02 Dec 2018 18:42:00 +0100

php-guzzlehttp-psr7 (1.3.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix tests for PHPUnit newer than 6.4-somewhat. (Closes: #882943)

 -- Dominik George <natureshadow@debian.org>  Sat, 27 Oct 2018 20:45:27 +0200

php-guzzlehttp-psr7 (1.3.1-1) unstable; urgency=medium

  [ Tobias Schultze ]
  * 1.3.1 release

  [ Barry vd. Heuvel ]
  * Remove message about partial implementation

 -- David Prévot <taffit@debian.org>  Wed, 27 Jul 2016 02:00:46 -0400

php-guzzlehttp-psr7 (1.3.0-1) unstable; urgency=medium

  [ Ivan Kerin ]
  * Add uploaded file and tests
  * Add ServerRequest and tests

  [ Michael Dowling ]
  * 1.3.0 release

  [ David Prévot ]
  * Update Standards-Version to 3.9.8

 -- David Prévot <taffit@debian.org>  Fri, 15 Apr 2016 21:35:01 -0400

php-guzzlehttp-psr7 (1.2.3-2) unstable; urgency=medium

  * Rebuild with recent pkg-php-tools for the PHP 7.0 transition

 -- David Prévot <taffit@debian.org>  Sun, 20 Mar 2016 17:08:08 -0400

php-guzzlehttp-psr7 (1.2.3-1) unstable; urgency=medium

  [ zumba ]
  * Handle gzip format with a FNAME header

  [ Andy ]
  * Ensure all requested bytes are read when using seek on caching stream

  [ Jonathan Eskew ]
  * 1.2.3 release

  [ David Prévot ]
  * Update Standards-Version to 3.9.7

 -- David Prévot <taffit@debian.org>  Sat, 20 Feb 2016 14:35:47 -0400

php-guzzlehttp-psr7 (1.2.2-1) unstable; urgency=medium

  [ Brent Shaffer ]
  * proper handling of hier-part with no-authority

  [ Colin O'Dell ]
  * Add HTTP 451 Unavailable For Legal Reasons

  [ Régis Belson ]
  * Accept "0" as a valid filename for multipart form file uploads

  [ Fabien Potencier ]
  * added missing port to the Host when not-standard

  [ Jonathan Eskew ]
  * 1.2.2 release

 -- David Prévot <taffit@debian.org>  Tue, 26 Jan 2016 12:30:27 -0400

php-guzzlehttp-psr7 (1.2.1-1) unstable; urgency=medium

  [ Jonathan Eskew ]
  * Copy SEEK_END behavior from fseek
  * 1.2.1 release

 -- David Prévot <taffit@debian.org>  Tue, 03 Nov 2015 21:22:34 -0400

php-guzzlehttp-psr7 (1.2.0-1) unstable; urgency=medium

  [ Mark Trapp ]
  * Conditionally require functions.php

  [ Michael Dowling ]
  * Allow forward seeking in caching stream
  * Ensuring a Uri is returned
  * 1.2.0 release

  [ Nicolas Van Eenaeme ]
  * Support full URLs in requests, such as proxied requests

  [ Kevin Robatel ]
  * Strict check of $body

  [ Andreas Buchenrieder ]
  * Fixed Uri::resolve dropping user info from the base uri

 -- David Prévot <taffit@debian.org>  Fri, 28 Aug 2015 12:32:07 -0400

php-guzzlehttp-psr7 (1.1.0-1) unstable; urgency=medium

  [ Michael Dowling ]
  * 1.1.0 release

 -- David Prévot <taffit@debian.org>  Sun, 28 Jun 2015 09:59:19 -0400

php-guzzlehttp-psr7 (1.0.0-1) unstable; urgency=low

  * Initial release

 -- David Prévot <taffit@debian.org>  Thu, 28 May 2015 13:43:34 -0400
